## org.apache.mahout.cf.taste.impl.common
Class AbstractLongPrimitiveIterator

    java.lang.Object
      org.apache.mahout.cf.taste.impl.common.AbstractLongPrimitiveIterator

All Implemented Interfaces:
  Iterator<Long>, LongPrimitiveIterator, SkippingIterator<Long>

Direct Known Subclasses:
  SamplingLongPrimitiveIterator

    public abstract class AbstractLongPrimitiveIterator

extends Object
implements LongPrimitiveIterator

Constructor Summary
`AbstractLongPrimitiveIterator()`

Method Summary
`Long` `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.mahout.cf.taste.impl.common.LongPrimitiveIterator
`nextLong, peek`

Methods inherited from interface org.apache.mahout.cf.taste.impl.common.SkippingIterator
`skip`

Methods inherited from interface java.util.Iterator
`hasNext, remove`

Constructor Detail

### AbstractLongPrimitiveIterator

    public AbstractLongPrimitiveIterator()

Method Detail

### next

    public Long next()

  Specified by:
    `next` in interface `Iterator<Long>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.